package com.ym.mec.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 机构申请记录(TenantApplyCallRecord)表实体类
 *
 * @author hgw
 * @since 2022-02-09 10:44:23
 */
@ApiModel(value = "tenant_apply_call_record-机构申请记录")
public class TenantApplyCallRecord implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("tenant_apply_id_")
    @ApiModelProperty(value = "tenant_apply表id")
    private Integer tenantApplyId;

    @TableField("call_back_people_")
    @ApiModelProperty(value = "回访人/沟通人姓名")
    private String callBackPeople;

    @TableField("call_back_log_")
    @ApiModelProperty(value = "回访/沟通记录-最多140个字符")
    private String callBackLog;

    @TableField("create_time_")
    @ApiModelProperty(value = "沟通时间")
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantApplyId() {
        return tenantApplyId;
    }

    public void setTenantApplyId(Integer tenantApplyId) {
        this.tenantApplyId = tenantApplyId;
    }

    public String getCallBackPeople() {
        return callBackPeople;
    }

    public void setCallBackPeople(String callBackPeople) {
        this.callBackPeople = callBackPeople;
    }

    public String getCallBackLog() {
        return callBackLog;
    }

    public void setCallBackLog(String callBackLog) {
        this.callBackLog = callBackLog;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

